import 'package:dotted_border/dotted_border.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:worker_client/pages/bankList/widget/BankCard.dart';
import '../../widgets/layout/BasicPage.dart';


class BankListPages extends BasicPage {
  BankListPages({Key? key}) : super(key: key) {
    naviTitle = '我的银行卡';
  }

void goAddBank(){
    Get.toNamed('/addBankCard');
}

  @override
  Widget builder(BuildContext context) {
    return Container(
      alignment: Alignment.center,

      child: Column(
        children: [
          BankCard(),
          BankCard(),
          BankCard(),
      Container(
        height: 120.w,
        alignment: Alignment.bottomCenter,
        child:       GestureDetector(
          onTap: () {
            goAddBank();
          },
          child:DottedBorder(
            borderType: BorderType.RRect,
            color: Color(0xffBFBFBF),
            radius: Radius.circular(20),
            dashPattern: [3, 3 ,3, 3],
            child: ClipRRect(
              child: Container(
                alignment: Alignment.center,
                width: 345.w,
                height: 45.w,
                // color: Colors.amber,
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,

                  children: [
                    Padding(padding: EdgeInsets.fromLTRB(0, 0, 10, 0),

                      child: Icon(Icons.add_circle_outline),
                    ),
                    Text('添加银行卡',style: TextStyle(
                      fontWeight: FontWeight.bold,
                      fontSize: 19.sp,

                    ),)
                  ],
                ),
              ),
            ),
          ),
        ),
      )

        ],
      ),

    );
  }
}
